%define	name	altermime
%define	version	0.3.5
%define	release	3mdk

%define	major 0
%define	minor 3
%define	micro 5
%define libname	%mklibname %{name} %{major}

Summary:	Allows you to modify mailpacks
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Mail
URL:		http://www.pldaniels.com/altermime/
Source0:	http://www.pldaniels.com/altermime/%{name}-%{version}.tar.bz2
Patch0:		altermime-0.3.5-shared.diff.bz2
BuildConflicts:	altermime-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
alterMIME is a small program which is used to alter your
mime-encoded emailpacks as typically received by Inflex,
XaMime and AMaViS.
 
alterMIME will allow you to put in things like disclaimers
in each email's text body, and also permit you to nullify
(make into a zero-byte) attachments. 

%package -n	%{libname}
Summary:	Shared %{name} library
Group:          System/Libraries

%description -n	%{libname}
alterMIME is a small program which is used to alter your
mime-encoded emailpacks as typically received by Inflex,
XaMime and AMaViS.
 
alterMIME will allow you to put in things like disclaimers
in each email's text body, and also permit you to nullify
(make into a zero-byte) attachments. 

%package -n	%{libname}-devel
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel
Provides:	lib%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
alterMIME is a small program which is used to alter your
mime-encoded emailpacks as typically received by Inflex,
XaMime and AMaViS.
 
alterMIME will allow you to put in things like disclaimers
in each email's text body, and also permit you to nullify
(make into a zero-byte) attachments. 

%prep

%setup -q
%patch0 -p0

%build

make \
    CFLAGS="%{optflags} -fPIC -D_REENTRANT -I." \
    MAJOR="%{major}" \
    MINOR="%{minor}" \
    MICRO="%{micro}" \
    shared static altermime

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}/%{name}

# install binaries
install -m755 %{name} %{buildroot}%{_bindir}/

# install the shared library
install -m755 lib%{name}.so.%{major}.%{minor}.%{micro} %{buildroot}%{_libdir}/
ln -snf lib%{name}.so.%{major}.%{minor}.%{micro} %{buildroot}%{_libdir}/lib%{name}.so
ln -snf lib%{name}.so.%{major}.%{minor}.%{micro} %{buildroot}%{_libdir}/lib%{name}.so.%{major}

# install the static library
install -m755 lib%{name}.a %{buildroot}%{_libdir}/

# install headers
install -m0644 *.h %{buildroot}%{_includedir}/%{name}/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG INSTALL LICENCE README
%{_bindir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-3mdk
- revert latest "lib64 fixes"

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-2mdk
- lib64 fixes

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3.5-1mdk
- 0.3.5
- provide a shared lib here too as well (P0)

* Sat Nov 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.3-1mdk
- 0.3.3

* Sun May 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.1-1mdk
- 0.3.1
- hrm..., how do one spell licence?
- use spec file magic to enable compilation against dietlibc, use
  "rpm --rebuild --with diet altermime-0.3.1-1mdk.src.rpm"

* Mon Mar 17 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2.1-1mdk
- 0.2.1

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.14-2mdk
- build release

* Tue Nov 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.14-1mdk
- new version

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.13-2mdk
- rebuilt with gcc-3.2

* Sun May 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.1.13-1mdk
- initial cooker contrib
